Photos for a person.
Query photos that the user tagged in / uploaded
By default reading from the photos edge includes all photos a person has been tagged in.
When you read a person's Photos you can also include an optional type parameter with the value uploaded to get only the list of photos that a person has uploaded:
GET /{user-id}/photos?type=uploadedYou can also use this form to add the type, but the type=uploaded form is preferred:
GET /{user-id}/photos/uploadeduser_photos permission.GET /v26.0/{user-id}/photos HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->get(
'/{user-id}/photos',
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result *//* make the API call */
FB.api(
"/{user-id}/photos",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{user-id}/photos",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{user-id}/photos"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];| 參數 | 描述 |
|---|---|
typeenum{tagged, uploaded} | 預設值: taggedAllows you to query which type of photos to return |
由此關係連線進行的閱讀將回傳 JSON 格式結果:
{ "
data": [], "paging": {} }
datapaging| 錯誤 | 說明 |
|---|---|
| 100 | Invalid parameter |
| 190 | Invalid OAuth 2.0 Access Token |
| 200 | Permissions error |
| 104 | Incorrect signature |